import { addWine } from "~/server/actions/addWine";
import { getProducers } from "~/server/actions/allProducers";

type Wine = {
  name: string;
  producer: string;
};

async function submitWine(formData: FormData): Promise<void> {
  "use server";
  const wine: Wine = {
    name: formData.get("name") as string,
    producer: formData.get("producer") as string,
  };

  addWine(wine);
}
const producers = await getProducers();

export default function CreateWine() {
  return (
    <div>
      <form action={submitWine}>
        <input type="text" name="name" />
        <select name="producer">
          {producers.map((producer, i) => (
            <option key={i} value={producer.id}>
              {producer.name}
            </option>
          ))}
        </select>
        <button type="submit">Add wine</button>
      </form>
    </div>
  );
}
